package request


type AlibabaTclsAelophyMerchantIdMixRequest struct {
    /*
        商家用户id     */
    UnionUid  *string `json:"union_uid" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantIdMixRequest) SetUnionUid(v string) *AlibabaTclsAelophyMerchantIdMixRequest {
    s.UnionUid = &v
    return s
}

func (req *AlibabaTclsAelophyMerchantIdMixRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.UnionUid != nil) {
        paramMap["union_uid"] = *req.UnionUid
    }
    return paramMap
}

func (req *AlibabaTclsAelophyMerchantIdMixRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}